/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__
#define __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_parse_tcp_hdr_opt_dynptr {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *xdp_ingress_v6;
	} progs;
	struct {
		struct bpf_link *xdp_ingress_v6;
	} links;
	struct test_parse_tcp_hdr_opt_dynptr__rodata {
		__u32 tcp_hdr_opt_kind_tpr;
		__u32 tcp_hdr_opt_len_tpr;
		__u32 tcp_hdr_opt_max_opt_checks;
	} *rodata;
	struct test_parse_tcp_hdr_opt_dynptr__bss {
		__u32 server_id;
	} *bss;

#ifdef __cplusplus
	static inline struct test_parse_tcp_hdr_opt_dynptr *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_parse_tcp_hdr_opt_dynptr *open_and_load();
	static inline int load(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline int attach(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline void detach(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline void destroy(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_parse_tcp_hdr_opt_dynptr__destroy(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_parse_tcp_hdr_opt_dynptr__create_skeleton(struct test_parse_tcp_hdr_opt_dynptr *obj);

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_parse_tcp_hdr_opt_dynptr *obj;
	int err;

	obj = (struct test_parse_tcp_hdr_opt_dynptr *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_parse_tcp_hdr_opt_dynptr__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_parse_tcp_hdr_opt_dynptr__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open(void)
{
	return test_parse_tcp_hdr_opt_dynptr__open_opts(NULL);
}

static inline int
test_parse_tcp_hdr_opt_dynptr__load(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open_and_load(void)
{
	struct test_parse_tcp_hdr_opt_dynptr *obj;
	int err;

	obj = test_parse_tcp_hdr_opt_dynptr__open();
	if (!obj)
		return NULL;
	err = test_parse_tcp_hdr_opt_dynptr__load(obj);
	if (err) {
		test_parse_tcp_hdr_opt_dynptr__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_parse_tcp_hdr_opt_dynptr__attach(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_parse_tcp_hdr_opt_dynptr__detach(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_parse_tcp_hdr_opt_dynptr__elf_bytes(size_t *sz);

static inline int
test_parse_tcp_hdr_opt_dynptr__create_skeleton(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_parse_tcp_hdr_opt_dynptr";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_par.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	s->maps[1].name = "test_par.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_ingress_v6";
	s->progs[0].prog = &obj->progs.xdp_ingress_v6;
	s->progs[0].link = &obj->links.xdp_ingress_v6;

	s->data = test_parse_tcp_hdr_opt_dynptr__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_parse_tcp_hdr_opt_dynptr__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xd8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\
\0\x74\x65\x73\x74\x5f\x70\x61\x72\x73\x65\x5f\x74\x63\x70\x5f\x68\x64\x72\x5f\
\x6f\x70\x74\x5f\x64\x79\x6e\x70\x74\x72\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\x36\
\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x31\x32\0\x4c\x42\x42\x30\x5f\
\x31\x34\0\x4c\x42\x42\x30\x5f\x31\x31\0\x4c\x42\x42\x30\x5f\x31\x37\0\x78\x64\
\x70\x5f\x69\x6e\x67\x72\x65\x73\x73\x5f\x76\x36\0\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x78\x64\x70\0\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\0\x73\x65\x72\x76\x65\x72\x5f\x69\x64\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\
\x5f\x6b\x69\x6e\x64\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\
\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\
\x74\x5f\x6d\x61\x78\x5f\x6f\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x2e\x72\x65\
\x6c\x78\x64\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x04\0\xff\xf1\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4a\0\0\0\x03\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\
\x03\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\x03\0\0\0\0\0\0\0\xd0\
\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x03\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\0\0\0\0\0\
\x69\0\0\0\x03\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\0\0\0\0\x71\0\0\0\x03\0\0\0\0\
\0\0\x02\x38\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x50\0\0\0\x88\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\xb7\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xc0\
\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd5\x11\0\0\x05\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\xe9\x11\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x04\xb7\x20\0\0\0\0\0\0\x63\xa2\xff\xf0\0\0\0\0\x7b\xa2\xff\xe8\0\0\0\0\x7b\
\xa2\xff\xe0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xd0\xbf\x36\0\
\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\
\xff\xe0\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x36\xb7\x40\0\0\0\0\0\x14\x85\
\x01\0\0\xff\xff\xff\xff\xbf\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x01\x15\x10\0\x38\
\0\0\0\0\x69\x71\0\x0c\0\0\0\0\x77\x70\0\0\0\0\0\x0a\x57\x70\0\0\0\0\0\x3c\x07\
\x70\0\0\xff\xff\xff\xec\xa5\x70\0\x33\0\0\0\x06\xb7\x60\0\0\0\0\0\x4a\xb7\x80\
\0\0\0\0\0\x0f\xb7\x90\0\0\0\0\0\0\x05\0\0\x11\0\0\0\0\xbf\x27\0\0\0\0\0\0\x57\
\x20\0\0\0\0\0\xff\x15\x20\0\x07\0\0\0\0\x0f\x16\0\0\0\0\0\0\x07\x80\0\0\xff\
\xff\xff\xff\xbf\x28\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x20\x77\x20\0\0\0\0\0\x20\
\xbf\x61\0\0\0\0\0\0\x55\x20\0\x07\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x11\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x01\x15\x10\0\x20\0\0\0\0\xb7\0\0\0\0\0\0\
\x02\x05\0\0\x1e\0\0\0\0\x6b\xa9\xff\xfc\0\0\0\0\x63\xa9\xff\xf8\0\0\0\0\xbf\
\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xd0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\
\xff\xff\xff\xf8\xbf\x26\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x06\x85\x01\0\0\xff\xff\
\xff\xff\x15\0\xff\xef\0\0\0\0\x71\x20\0\0\0\0\0\0\x15\x20\0\x0d\0\0\0\x01\x15\
\x20\xff\xec\0\0\0\0\xbf\x37\0\0\0\0\0\0\x57\x30\0\0\0\0\0\xff\xa5\x30\xff\xe9\
\0\0\0\x02\x71\x10\0\x01\0\0\0\0\xad\x31\xff\xe7\0\0\0\0\x55\x20\0\x09\0\0\0\
\xfd\x55\x10\xff\xe5\0\0\0\x06\x61\x10\0\x02\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x05\0\xff\xe0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x07\
\x70\0\0\xff\xff\xff\xff\x05\0\xff\xd3\0\0\0\0\x1f\x71\0\0\0\0\0\0\x05\0\xff\
\xd1\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\xfd\0\0\0\x06\0\0\0\x0f\0\0\
\0\0\0\0\0\x38\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\0\x68\0\0\0\x0b\0\0\0\x0a\0\0\0\
\0\0\0\x01\x20\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\x01\x98\0\0\0\x0b\0\0\0\x0a\0\0\
\0\0\0\0\x02\0\0\0\0\x0c\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\x84\
\0\0\x02\x84\0\0\x05\x3f\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x06\0\0\
\0\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\
\0\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\
\0\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\x08\0\0\0\0\0\0\x04\0\0\0\x54\x01\0\0\0\
\0\0\0\x04\0\0\0\x20\0\0\0\0\x0d\0\0\x01\0\0\0\x06\0\0\0\x61\0\0\0\x01\0\0\0\
\x65\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x69\x0c\0\0\x01\0\0\0\x05\0\0\0\0\
\x0d\0\0\x03\0\0\0\x06\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x0b\0\
\0\0\x78\x08\0\0\0\0\0\0\x0a\0\0\0\x7e\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\
\x02\0\0\0\0\0\0\x0c\0\0\0\x91\x04\0\0\0\0\0\0\x10\0\0\0\x9c\x0c\0\0\x02\0\0\0\
\x08\0\0\0\0\x0d\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\x0f\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\x11\0\0\0\0\x0a\0\0\0\0\0\0\x0c\0\0\0\xb0\x0c\0\0\x02\0\0\0\x0e\0\0\0\xc1\x01\
\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\x15\0\0\
\0\x04\0\0\0\xc6\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\xda\x0e\0\0\0\0\0\0\x14\0\
\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x03\0\0\0\xe3\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\
\0\0\xf8\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\0\x01\x0c\x0e\0\0\0\0\0\0\x17\0\0\0\
\x01\0\0\x01\x27\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x05\x23\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x16\0\0\0\0\0\0\0\x04\0\0\x05\x2b\x0f\0\0\x03\0\0\0\x0c\0\0\0\x18\0\
\0\0\0\0\0\0\x04\0\0\0\x19\0\0\0\x04\0\0\0\x04\0\0\0\x1a\0\0\0\x08\0\0\0\x04\0\
\0\x05\x33\x0f\0\0\x01\0\0\0\x04\0\0\0\x1b\0\0\0\0\0\0\0\x04\0\0\x05\x38\x0f\0\
\0\x02\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\0\x78\x64\
\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\
\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\x64\x70\0\x69\x6e\x74\0\
\x78\x64\x70\x5f\x69\x6e\x67\x72\x65\x73\x73\x5f\x76\x36\0\x5f\x5f\x75\x36\x34\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\
\x72\x5f\x66\x72\x6f\x6d\x5f\x78\x64\x70\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\
\x72\x5f\x73\x6c\x69\x63\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6b\x69\x6e\x64\x5f\x74\
\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\
\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6d\x61\x78\x5f\x6f\
\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x73\x65\x72\x76\x65\x72\x5f\x69\x64\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x36\
\x37\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x34\x36\x37\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x61\x72\x73\
\x65\x5f\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x64\x79\x6e\x70\x74\
\x72\x2e\x63\0\x69\x6e\x74\x20\x78\x64\x70\x5f\x69\x6e\x67\x72\x65\x73\x73\x5f\
\x76\x36\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\x5f\x6d\x64\x20\x2a\x78\
\x64\x70\x29\0\x09\x5f\x5f\x75\x38\x20\x62\x75\x66\x66\x65\x72\x5b\x73\x69\x7a\
\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\x68\x64\x72\x29\x5d\
\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\
\x72\x6f\x6d\x5f\x78\x64\x70\x28\x78\x64\x70\x2c\x20\x30\x2c\x20\x26\x70\x74\
\x72\x29\x3b\0\x09\x74\x63\x70\x5f\x68\x64\x72\x20\x3d\x20\x62\x70\x66\x5f\x64\
\x79\x6e\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\x28\x26\x70\x74\x72\x2c\x20\x6f\
\x66\x66\x2c\x20\x62\x75\x66\x66\x65\x72\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x62\x75\x66\x66\x65\x72\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\x63\x70\x5f\
\x68\x64\x72\x29\0\x09\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\
\x6e\x20\x3d\x20\x28\x74\x63\x70\x5f\x68\x64\x72\x2d\x3e\x64\x6f\x66\x66\x20\
\x2a\x20\x34\x29\x20\x2d\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\
\x74\x20\x74\x63\x70\x68\x64\x72\x29\x3b\0\x09\x69\x66\x20\x28\x74\x63\x70\x5f\
\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x20\x3c\x20\x74\x63\x70\x5f\x68\
\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\x29\0\x09\x09\x69\x66\
\x20\x28\x65\x72\x72\x20\x7c\x7c\x20\x21\x68\x64\x72\x5f\x62\x79\x74\x65\x73\
\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x29\0\x09\x66\x6f\x72\x20\x28\x69\x6e\
\x74\x20\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x74\x63\x70\x5f\x68\x64\
\x72\x5f\x6f\x70\x74\x5f\x6d\x61\x78\x5f\x6f\x70\x74\x5f\x63\x68\x65\x63\x6b\
\x73\x3b\x20\x69\x2b\x2b\x29\x20\x7b\0\x09\x69\x66\x20\x28\x21\x73\x65\x72\x76\
\x65\x72\x5f\x69\x64\x29\0\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\
\x6d\x73\x65\x74\x28\x62\x75\x66\x66\x65\x72\x2c\x20\x30\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x62\x75\x66\x66\x65\x72\x29\x29\x3b\0\x09\x64\x61\x74\x61\x20\
\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\x28\
\x70\x74\x72\x2c\x20\x2a\x6f\x66\x66\x2c\x20\x62\x75\x66\x66\x65\x72\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\x65\x72\x29\x29\x3b\0\x09\x69\x66\
\x20\x28\x21\x64\x61\x74\x61\x29\0\x09\x6b\x69\x6e\x64\x20\x3d\x20\x64\x61\x74\
\x61\x5b\x30\x5d\x3b\0\x09\x69\x66\x20\x28\x6b\x69\x6e\x64\x20\x3d\x3d\x20\x54\
\x43\x50\x4f\x50\x54\x5f\x45\x4f\x4c\x29\0\x09\x69\x66\x20\x28\x2a\x68\x64\x72\
\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x20\x3c\x20\
\x32\x29\0\x09\x68\x64\x72\x5f\x6c\x65\x6e\x20\x3d\x20\x64\x61\x74\x61\x5b\x31\
\x5d\x3b\0\x09\x69\x66\x20\x28\x68\x64\x72\x5f\x6c\x65\x6e\x20\x3e\x20\x2a\x68\
\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x29\0\
\x09\x69\x66\x20\x28\x6b\x69\x6e\x64\x20\x3d\x3d\x20\x74\x63\x70\x5f\x68\x64\
\x72\x5f\x6f\x70\x74\x5f\x6b\x69\x6e\x64\x5f\x74\x70\x72\x29\x20\x7b\0\x09\x09\
\x69\x66\x20\x28\x68\x64\x72\x5f\x6c\x65\x6e\x20\x21\x3d\x20\x74\x63\x70\x5f\
\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\x29\0\x09\x09\x5f\
\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\x79\x28\x73\x65\x72\
\x76\x65\x72\x5f\x69\x64\x2c\x20\x28\x5f\x5f\x75\x33\x32\x20\x2a\x29\x28\x64\
\x61\x74\x61\x20\x2b\x20\x32\x29\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\
\x65\x72\x76\x65\x72\x5f\x69\x64\x29\x29\x3b\0\x09\x09\x2a\x68\x64\x72\x5f\x62\
\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x20\x2d\x3d\x20\x31\
\x3b\0\x09\x2a\x68\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\
\x69\x6e\x67\x20\x2d\x3d\x20\x68\x64\x72\x5f\x6c\x65\x6e\x3b\0\x7d\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6b\
\x73\x79\x6d\x73\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\x02\x1c\0\0\x02\x30\0\0\0\0\0\0\0\x08\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\
\0\x07\0\0\0\x10\0\0\0\x61\0\0\0\x21\0\0\0\0\0\0\x01\x31\0\0\x01\xba\0\x01\x2c\
\0\0\0\0\x08\0\0\x01\x31\0\0\x01\xe1\0\x01\x34\x07\0\0\0\x28\0\0\x01\x31\0\0\0\
\0\0\0\0\0\0\0\0\x30\0\0\x01\x31\0\0\x02\x0b\0\x01\x58\x02\0\0\0\x48\0\0\x01\
\x31\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x01\x31\0\0\x02\x2f\0\x01\x68\x0c\0\0\0\x80\
\0\0\x01\x31\0\0\x02\x6f\0\x01\x6c\x06\0\0\0\x88\0\0\x01\x31\0\0\x02\x7e\0\x01\
\x78\x1e\0\0\0\x90\0\0\x01\x31\0\0\x02\x7e\0\x01\x78\x23\0\0\0\xa0\0\0\x01\x31\
\0\0\x02\x7e\0\x01\x78\x28\0\0\0\xa8\0\0\x01\x31\0\0\x02\xbe\0\x01\x7c\x06\0\0\
\0\xe0\0\0\x01\x31\0\0\x02\xea\0\x01\xa8\x0b\0\0\0\xe8\0\0\x01\x31\0\0\0\0\0\0\
\0\0\0\0\0\xf0\0\0\x01\x31\0\0\x03\x0d\0\x01\x9c\x14\0\0\x01\x18\0\0\x01\x31\0\
\0\x03\x0d\0\x01\x9c\x02\0\0\x01\x20\0\0\x01\x31\0\0\x03\x45\0\x01\xb8\x07\0\0\
\x01\x40\0\0\x01\x31\0\0\0\0\0\0\0\0\0\0\x01\x58\0\0\x01\x31\0\0\x03\x56\0\0\
\x94\x02\0\0\x01\x70\0\0\x01\x31\0\0\0\0\0\0\0\0\0\0\x01\x88\0\0\x01\x31\0\0\
\x03\x84\0\0\x9c\x09\0\0\x01\xa0\0\0\x01\x31\0\0\x03\xc1\0\0\xa0\x06\0\0\x01\
\xa8\0\0\x01\x31\0\0\x03\xcd\0\0\xac\x09\0\0\x01\xb0\0\0\x01\x31\0\0\x03\xde\0\
\0\xb4\x06\0\0\x01\xc0\0\0\x01\x31\0\0\x03\xf7\0\0\xd8\x1b\0\0\x01\xd0\0\0\x01\
\x31\0\0\x03\xf7\0\0\xd8\x06\0\0\x01\xd8\0\0\x01\x31\0\0\x04\x16\0\0\xe4\x0c\0\
\0\x01\xe0\0\0\x01\x31\0\0\x04\x2a\0\0\xe8\x06\0\0\x01\xe8\0\0\x01\x31\0\0\x04\
\x4f\0\0\xf4\x06\0\0\x01\xf0\0\0\x01\x31\0\0\x04\x74\0\0\xf8\x07\0\0\x01\xf8\0\
\0\x01\x31\0\0\x04\x9a\0\x01\x04\x03\0\0\x02\x28\0\0\x01\x31\0\0\x04\xe2\0\0\
\xc8\x18\0\0\x02\x38\0\0\x01\x31\0\0\x04\xff\0\x01\x18\x17\0\0\x02\x48\0\0\x01\
\x31\0\0\x05\x21\0\x01\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\x01\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\x01\
\x98\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xf8\0\0\0\0\0\0\x02\x50\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x48\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x05\x4c\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x05\x58\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\x01\x04\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\x58\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x01\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa8\0\0\
\0\0\0\0\x07\xdb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x11\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x88\0\0\0\0\0\0\x02\
\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_parse_tcp_hdr_opt_dynptr *test_parse_tcp_hdr_opt_dynptr::open(const struct bpf_object_open_opts *opts) { return test_parse_tcp_hdr_opt_dynptr__open_opts(opts); }
struct test_parse_tcp_hdr_opt_dynptr *test_parse_tcp_hdr_opt_dynptr::open_and_load() { return test_parse_tcp_hdr_opt_dynptr__open_and_load(); }
int test_parse_tcp_hdr_opt_dynptr::load(struct test_parse_tcp_hdr_opt_dynptr *skel) { return test_parse_tcp_hdr_opt_dynptr__load(skel); }
int test_parse_tcp_hdr_opt_dynptr::attach(struct test_parse_tcp_hdr_opt_dynptr *skel) { return test_parse_tcp_hdr_opt_dynptr__attach(skel); }
void test_parse_tcp_hdr_opt_dynptr::detach(struct test_parse_tcp_hdr_opt_dynptr *skel) { test_parse_tcp_hdr_opt_dynptr__detach(skel); }
void test_parse_tcp_hdr_opt_dynptr::destroy(struct test_parse_tcp_hdr_opt_dynptr *skel) { test_parse_tcp_hdr_opt_dynptr__destroy(skel); }
const void *test_parse_tcp_hdr_opt_dynptr::elf_bytes(size_t *sz) { return test_parse_tcp_hdr_opt_dynptr__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_parse_tcp_hdr_opt_dynptr__assert(struct test_parse_tcp_hdr_opt_dynptr *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_kind_tpr) == 4, "unexpected size of 'tcp_hdr_opt_kind_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_len_tpr) == 4, "unexpected size of 'tcp_hdr_opt_len_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_max_opt_checks) == 4, "unexpected size of 'tcp_hdr_opt_max_opt_checks'");
	_Static_assert(sizeof(s->bss->server_id) == 4, "unexpected size of 'server_id'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__ */
